Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 661306 - dev-python/pytest-3.10.1 and 4.4.2 rekeywording
Summary: dev-python/pytest-3.10.1 and 4.4.2 rekeywording
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Keywording (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords: KEYWORDREQ
Depends on:
Blocks: 662076 663436 676560 676592
  Show dependency tree
 
Reported: 2018-07-16 09:31 UTC by Michał Górny
Modified: 2020-01-30 06:04 UTC (History)
2 users (show)

See Also:
Package list:
dev-python/more-itertools-5.0.0 dev-python/atomicwrites-1.2.1 dev-python/pathlib2-2.3.2 dev-python/scandir-1.10.0 dev-python/pytest-4.4.2 dev-python/pytest-3.10.1
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-07-16 09:31:40 UTC
New deps require keywording.
Comment 1 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-07-16 13:20:04 UTC
amd64-fbsd done
Comment 2 Sergei Trofimovich (RETIRED) gentoo-dev 2018-08-06 09:21:29 UTC
~ppc64 keyworded
Comment 3 Sergei Trofimovich (RETIRED) gentoo-dev 2018-08-15 21:48:37 UTC
~ia64 keyworded
Comment 4 Larry the Git Cow gentoo-dev 2018-09-10 19:51:57 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=68f0a863ac462cfd882825a186cf41e16ec85484

commit 68f0a863ac462cfd882825a186cf41e16ec85484
Author:     Virgil Dupras <vdupras@gentoo.org>
AuthorDate: 2018-09-10 19:49:36 +0000
Commit:     Virgil Dupras <vdupras@gentoo.org>
CommitDate: 2018-09-10 19:51:29 +0000

    dev-python/pytest: bump to 3.8.0
    
    Need to drop ~ia64 and ~amd64-fbsd because of new dev-python/pathlib2
    dependency. Will rekeyword in existing 3.6.3 keywording bug.
    
    Bug: https://bugs.gentoo.org/661306
    Package-Manager: Portage-2.3.49, Repoman-2.3.10

 dev-python/pytest/Manifest            |  1 +
 dev-python/pytest/pytest-3.8.0.ebuild | 89 +++++++++++++++++++++++++++++++++++
 2 files changed, 90 insertions(+)
Comment 5 Virgil Dupras (RETIRED) gentoo-dev 2018-09-10 19:57:43 UTC
I've just bumped pytest to 3.8.0 and it adds dev-python/pathlib2 as a new dependency, which also lacks keywords. I'm updating the package list and re-CCing amd64-fbsd and ia64 because they're missing from pathlib2.
Comment 6 Stabilization helper bot gentoo-dev 2018-09-10 20:00:26 UTC
An automated check of this bug failed - the following atom is unknown:

dev-python/pathlib2

Please verify the atom list.
Comment 7 Stabilization helper bot gentoo-dev 2018-09-10 21:01:40 UTC
An automated check of this bug failed - repoman reported dependency errors (21 lines truncated): 

> dependency.bad dev-python/pathlib2/pathlib2-2.3.2.ebuild: BDEPEND: ~amd64-fbsd(default/bsd/fbsd/amd64/11.1) ['dev-python/scandir[python_targets_pypy(-)?,-python_single_target_pypy(-),python_targets_python2_7(-)?,-python_single_target_python2_7(-)]']
> dependency.bad dev-python/pathlib2/pathlib2-2.3.2.ebuild: RDEPEND: ~amd64-fbsd(default/bsd/fbsd/amd64/11.1) ['dev-python/scandir[python_targets_pypy(-)?,-python_single_target_pypy(-),python_targets_python2_7(-)?,-python_single_target_python2_7(-)]']
> dependency.bad dev-python/pathlib2/pathlib2-2.3.2.ebuild: BDEPEND: ~alpha(default/linux/alpha/13.0) ['dev-python/scandir[python_targets_pypy(-)?,-python_single_target_pypy(-),python_targets_python2_7(-)?,-python_single_target_python2_7(-)]']
Comment 8 Rolf Eike Beer archtester 2018-09-11 19:14:47 UTC
sparc done.
Comment 9 Joshua Kinard gentoo-dev 2018-09-24 00:32:59 UTC
Keyworded dev-python/pytest-3.8.0 for mips instead of 3.6.3.  Re-add if you want 3.6.3 done as well.
Comment 10 Stabilization helper bot gentoo-dev 2018-10-06 19:00:24 UTC
An automated check of this bug failed - the following atom is unknown:

dev-python/pytest-3.8.1

Please verify the atom list.
Comment 11 Stabilization helper bot gentoo-dev 2018-10-06 20:02:02 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 12 Virgil Dupras (RETIRED) gentoo-dev 2018-10-11 12:30:18 UTC
mips: you keyworded pytest, but it seems that you missed some dependencies (pathlib2, scandir, atomicwrites). Don't you end up with keywording inconsistencies? Re-CCing you.

Also, updating packaging list w.r.t needed arches.

amd64-fbsd: all deps are keyworded except for pytest 3.8.2. Since previous versions were already keyworded and that all deps are now keyworded, I'm propagating keyword to 3.8.2 and un-CCing you.
Comment 13 Larry the Git Cow gentoo-dev 2018-10-17 10:36:00 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=417b2d3a3a7528fb10403aad5f28e265de758d78

commit 417b2d3a3a7528fb10403aad5f28e265de758d78
Author:     Tobias Klausmann <klausman@gentoo.org>
AuthorDate: 2018-10-17 10:35:37 +0000
Commit:     Tobias Klausmann <klausman@gentoo.org>
CommitDate: 2018-10-17 10:35:53 +0000

    dev-python/scandir-1.9.0-r0: add ~alpha keyword
    
    Bug: http://bugs.gentoo.org/661306
    Signed-off-by: Tobias Klausmann <klausman@gentoo.org>

 dev-python/scandir/scandir-1.9.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2194f578b251b671cc0343b1e0bbb5c540adf23f

commit 2194f578b251b671cc0343b1e0bbb5c540adf23f
Author:     Tobias Klausmann <klausman@gentoo.org>
AuthorDate: 2018-10-17 10:35:37 +0000
Commit:     Tobias Klausmann <klausman@gentoo.org>
CommitDate: 2018-10-17 10:35:52 +0000

    dev-python/pathlib2-2.3.2-r0: add ~alpha keyword
    
    Bug: http://bugs.gentoo.org/661306
    Signed-off-by: Tobias Klausmann <klausman@gentoo.org>

 dev-python/pathlib2/pathlib2-2.3.2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a0724f1f48ad34ab094750610fa5634eb867be4c

commit a0724f1f48ad34ab094750610fa5634eb867be4c
Author:     Tobias Klausmann <klausman@gentoo.org>
AuthorDate: 2018-10-17 10:35:37 +0000
Commit:     Tobias Klausmann <klausman@gentoo.org>
CommitDate: 2018-10-17 10:35:51 +0000

    dev-python/more-itertools-4.2.0-r1: add ~alpha keyword
    
    Bug: http://bugs.gentoo.org/661306
    Signed-off-by: Tobias Klausmann <klausman@gentoo.org>

 dev-python/more-itertools/more-itertools-4.2.0-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3857b176b4d7c890d9dbeb59ec8cf26760a47045

commit 3857b176b4d7c890d9dbeb59ec8cf26760a47045
Author:     Tobias Klausmann <klausman@gentoo.org>
AuthorDate: 2018-10-17 10:35:36 +0000
Commit:     Tobias Klausmann <klausman@gentoo.org>
CommitDate: 2018-10-17 10:35:51 +0000

    dev-python/atomicwrites-1.1.5-r3: add ~alpha keyword
    
    Bug: http://bugs.gentoo.org/661306
    Signed-off-by: Tobias Klausmann <klausman@gentoo.org>

 dev-python/atomicwrites/atomicwrites-1.1.5-r3.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0f20a2c4cee25189bfcfb7bbbc6547288350a2b9

commit 0f20a2c4cee25189bfcfb7bbbc6547288350a2b9
Author:     Tobias Klausmann <klausman@gentoo.org>
AuthorDate: 2018-10-17 10:35:31 +0000
Commit:     Tobias Klausmann <klausman@gentoo.org>
CommitDate: 2018-10-17 10:35:50 +0000

    dev-python/pytest-3.6.3-r0: add ~alpha keyword
    
    Bug: http://bugs.gentoo.org/661306
    Signed-off-by: Tobias Klausmann <klausman@gentoo.org>

 dev-python/pytest/pytest-3.6.3.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 14 Larry the Git Cow gentoo-dev 2018-10-17 10:36:44 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f9250e04a79a5caaa880a2cee40e18a286424b47

commit f9250e04a79a5caaa880a2cee40e18a286424b47
Author:     Tobias Klausmann <klausman@gentoo.org>
AuthorDate: 2018-10-17 10:36:32 +0000
Commit:     Tobias Klausmann <klausman@gentoo.org>
CommitDate: 2018-10-17 10:36:32 +0000

    dev-python/pytest-3.8.2-r0: add ~alpha keyword
    
    Bug: http://bugs.gentoo.org/661306
    Signed-off-by: Tobias Klausmann <klausman@gentoo.org>

 dev-python/pytest/pytest-3.8.2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 15 Sergei Trofimovich (RETIRED) gentoo-dev 2018-10-27 18:54:42 UTC
~ia64 keyworded
Comment 16 Virgil Dupras (RETIRED) gentoo-dev 2018-12-17 13:04:00 UTC
This keywording request is taking forever and is getting more complicated all the time. This is mostly caused by pytest-xdist which seems to have fragile tests. However, pytest has many many reveps and we'll end up having problems if we stick with old pytest versions: most upstream never test with older pytest.

As it turns out, pytest-xdist is actually an optional test dependency. It enables some tests, but is not actually needed to run the vast majority of the tests.

I've just bumped pytest to 4.0.2 without pytest-xdist. What I'm planning to do in the next few minutes is to make a similar bump (that drops pytest-xdist test dep) to 3.10.1 and change this keyword req to target only 3.10.1 and 4.0.2
Comment 17 Virgil Dupras (RETIRED) gentoo-dev 2018-12-17 13:25:41 UTC
Hum, looking at pytest dependencies, it seems that I prematurely removed hppa and mips from the list (my confusion comes from the fact that they are keyworded for pytest, but not for its deps). Re-adding.
Comment 18 ernsteiswuerfel archtester 2018-12-19 21:02:13 UTC
Looking good on ppc.

# cat atomicwrites-661306.report 
USE tests started on Mi 19. Dez 21:32:23 CET 2018

FEATURES=' test' USE='' succeeded for =dev-python/atomicwrites-1.1.5-r3

FEATURES=' test' USE='' succeeded for =dev-python/pytest-4.0.2

FEATURES=' test' USE='' succeeded for =dev-python/pytest-3.10.1
Comment 19 Sergei Trofimovich (RETIRED) gentoo-dev 2018-12-19 22:29:25 UTC
~ppc keyworded thanks to ernsteiswuerfel!
Comment 20 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-12-22 07:15:46 UTC
~s390 done
Comment 21 Rolf Eike Beer archtester 2019-01-23 21:23:27 UTC
~hppa keyworded
Comment 22 Stabilization helper bot gentoo-dev 2019-01-23 22:02:59 UTC
An automated check of this bug failed - the following atom is unknown:

dev-python/pytest-4.1.0

Please verify the atom list.
Comment 23 Stabilization helper bot gentoo-dev 2019-01-23 23:00:42 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 24 Virgil Dupras (RETIRED) gentoo-dev 2019-01-27 18:50:41 UTC
Looks like x86-fbsd is dead. Closing.
Comment 25 Virgil Dupras (RETIRED) gentoo-dev 2019-01-27 18:51:33 UTC
Oh no, wrong window! Sorry for the noise.
Comment 26 Joshua Kinard gentoo-dev 2019-03-03 22:04:59 UTC
Added ~mips to the specified packages.  We should be all good for now.
Comment 27 Stabilization helper bot gentoo-dev 2019-03-22 09:00:25 UTC
An automated check of this bug failed - the following atom is unknown:

dev-python/pytest-4.2.1

Please verify the atom list.
Comment 28 Stabilization helper bot gentoo-dev 2019-03-22 14:01:00 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 29 Virgil Dupras (RETIRED) gentoo-dev 2019-04-02 18:27:37 UTC
prometheanfire re-keyworded ~arm64 in c6c8f852018fae4a9c94fb81ce193aa6a32ad2e5

Closing.
Comment 30 Virgil Dupras (RETIRED) gentoo-dev 2019-04-24 17:12:02 UTC
It looks like Prefix was missing from this keywordreq. It's missing some. Re-opening.

Prefix, please keyword ~amd64-linux and ~x86-linux. Thanks.